package com.brilliance.isc.swift.objmtconvert.model.mt9xx.tag.tag971;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.mt9XXAbsCreator.MT971AbsCreator;

/**
 * @author hedonghao
 * @date 2023/2/24
 */
public class Tag25Creator extends AbsTagCreate {

    private MT971AbsCreator mt971AbsCreator;

    public Tag25Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt971AbsCreator= (MT971AbsCreator) absMTCreator;
    }

    public  void creator()
    {
        String tag25Value=mt971AbsCreator.getAccountIdentifi();
        mt971AbsCreator.set("25",tag25Value);
    }
}
